Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images

From: Stephen Berman <[email-masked]>
Date: Sun, 20 Jan 2019 15:55:01 +0100

On Sun, 20 Jan 2019 15:20:39 +0100 martin rudalics <[email-masked]> wrote:

>>> Have you tried running 'doc-view-mode' without loading
>>> 'pdf-view-mode'?
>>
>> Yes, as I noted, I also see this with -Q.
>
> It seems that 'doc-view-new-window-function' fails in some way.  This
> time I have to CC Tassilo.  Maybe he has a clue.

I stepped through that function with Edebug but that failed to reproduce
the problem, instead, as expected, the "Welcome to DocView!"  message
was briefly shown in the buffer and then then image.

>> AFAICS display-buffer-split-below-and-attach is only used in the
>> defcustom pdf-annot-edit-contents-display-buffer-action, which specified
>> the "Display action when showing the edit buffer", so it's irrelevent
>> for just displaying the PDF file.  Anyway, I modified and instrumented
>> the function, but it wasn't called on visiting the file.
>
> Thanks.
>
>>>> In addition, in pdf-view-mode this appears in *Message*:
>>>> Error during redisplay: (eval (pdf-misc-size-indication)) signaled
>>>> (error "Invalid image specification: nil").
>>>
>>> This should come from the 'image-display-size' call in
>>> 'pdf-view-image-size'.  Could you get a backtrace for it?
>>
>> There is no Lisp backtrace, just the "error during redisplay" message.
>> That eval expression is a modeline construct, so I guess this needs to
>> be debugged at the C level.  I could try to do that but probably need
>> guidance.  (Ah, I just saw Andreas's post that he could reproduce the
>> issue, so hopefully he can debug it.)
>
> Could you try to insert a backtrace into some buffer instead of the
> error call in 'image-display-size'?

Thanks for the suggestion; I've attached the output.

Steve Berman